<nav>
    <ul>
        <li class="navbar-brand">
            <a routerLink="/catalogue">
                <img src="../../../assets/pomon_logo.svg.png" alt="pokemon logo for navbar" />
            </a>
        </li>
        <ng-container *ngIf="hasActiveSession">
            <!-- ng-container is good for nesting html elements and keep it in its original parent -> in this case the ul -->
            <li><a routerLink="/catalogue">Pokemon</a></li>
            <li><a routerLink="/trainer">Trainer</a></li>
        </ng-container>
    </ul>
</nav>